Support » Plugin: WordPress PDF Light Viewer Plugin » PDF not loading

  • trainmaniac

    (@trainmaniac)


    Hello all,

    After upgrading to the 1.3.3 version of the plugin I can’t load any PDF anymore. After checking the “Enable Import” checkbox and clicking on the publish button an error 500 is shown.

    On the PDFs screen the new file is shown but is not loaded. Editing and choosing to import returns the same error everytime I try it.

    Does anyone have an idea on how to solve this issue and what could be the root cause?

    Best regards
    João

    https://wordpress.org/plugins/pdf-light-viewer/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author antongorodezkiy

    (@antongorodezkiy)

    Hello @trainmaniac,

    Please take a look at the following post on our support forum: https://support.wp.teamlead.pw/q/exception-imagickexception-with-message-pdfdelegatefailed/

    Here is the quote for the reference:

    This issue could appear in situation, when you are trying to import newly created PDFs with old versions of Ghostscript, for example Ghostscript 8.70 which was released about 7 years ago! – in 2009-07-31 ( http://ghostscript.com/doc/current/History8.htm )

    If you import PDF and see the described error, probably (but not definitely) your PDF contains some parts, formatting or content which were added to the format/specification after 2009.

    And that’s probably the reason why you cannot convert this PDF. Though for more simple and/or old PDF Ghostscript 8.70 could work perfectly and because of that we do not limit Ghostscript requirements.

    We could successfully import most test PDFs from our users with Ghostscript 9.18 (released in 2015).

    Besides that’s the good practice to update software often for security reasons.

    So if the plugin works for some files and doesn’t for another possible the reason in the Ghostscript version. Please let me know Ghostscript version which you have. You could check it on the plugin’s settings page.

    Hello!

    Thanks for the tips.
    I just checked and my ghostscript version is 8.70.
    However that’s not the issue as I have tested importing the same exact PDF files on another site stored in the same server and in fact I didn’t have any problems.
    So I thought the problem could be another plugin: I deactivated every single plugin … but still got the error! I still get the error 500.

    The server is the same, the wordpress and plugin versions are the same, the files are the same… but in one of the websites I can’t load the PDF.

    Stupid question (or maybe not): does the template have any influence on the PDF Light Viewer plugin? As it’s the only thing different after deactivating all plugins …

    Can this be a corrupt file on the PDF plugin?
    I’ll take any suggestion as I’m more confused than ever after testing several scenarios.

    Plugin Author antongorodezkiy

    (@antongorodezkiy)

    Hello @trainmaniac,

    Template have any influence on the import process.

    The situation you’ve described is really strange. And unfortunately I have no ideas how to solve it so far.

    And as I already mentioned, we’ve successfully imported all “problematic” documents from our users with Ghostscript 9.18.

    Bonjour,

    J’ai à peu près le même problème mon fichier pdf ne charge pas alors que j’ai installé la version 1.3.17 PDF Light Viewer Plugin.
    Quand j’exporte mon fichier PDF on me dit:
    “Vous n’êtes pas encore converti des PDF. Remarque: il faut normalement entre 60 et 90 secondes pour la conversion d’un petit fichier PDF. Merci pour votre patience !”

    Pouvez-vous m’aidé à trouver la solution? Merci

    Plugin Author antongorodezkiy

    (@antongorodezkiy)

    @kldebagatellefr please create separate topic on the support forum https://support.wp.teamlead.pw/

    Also please confirm you’ve made the same steps, which described in the following demo: https://support.wp.teamlead.pw/dwkb/simple-upload-how-to/

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘PDF not loading’ is closed to new replies.